Skip to navigation

Retrieve a contact snapshot

View as Markdown

Retrieves detailed information about the snapshot of a contact, either a bill-to contact or sold-to contact.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

contact-snapshot-idstringRequired
The unique ID of the contact snapshot to be retrieved. For example, 2c92c8955bd63cc1015bd7c151af02ab.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageintegerOptional>=1Defaults to 1

The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response.

pageSizeintegerOptional<=40Defaults to 20
The number of records returned per page in the response.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
address1stringOptional
The first line for the address of the contact, which is often a street address or business name.
address2stringOptional
The second line for the address of the contact, which is mostly the locality.
asBillTobooleanOptional

Indicates whether the contact can be specified as a bill-to contact.

This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.

asShipTobooleanOptional

Indicates whether the contact can be specified as a ship-to contact.

This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.

asSoldTobooleanOptional

Indicates whether the contact can be specified as a sold-to contact.

This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.

citystringOptional
The city for the address of the contact.
contactIdstringOptional
The Zuora ID of the contact who the snapshot belongs to.
countrystring or nullOptional
The country for the address of the contact.
countystringOptional
The county for the address of the contact. The field value might optionally be used by Zuora Tax to calculate county tax.
descriptionstringOptional
A description of the contact.
faxstringOptionalformat: "number"
The fax number of the contact.
firstNamestringOptional
The first name of the contact.
homePhonestringOptionalformat: "number"
The home phone number of the contact.
idstringOptional
The unique ID of the contact snapshot.
lastNamestringOptional
The last name of the contact.
mobilePhonestringOptionalformat: "number"
The mobile phone number of the contact.
nicknamestringOptional
A nickname for the contact.
otherPhonestringOptional
An additional phone number for the contact.
otherPhoneTypeenumOptional
The type of the additional phone number.
Allowed values:
personalEmailstringOptional<=80 characters
The personal email address of the contact.
postalCodestringOptionalformat: "number"
The postal code for the address of the contact.
statestringOptional
The state or province for the address of the contact.
taxRegionstringOptional
If using Zuora Tax rules.
workEmailstringOptional
The business email address of the contact.
workPhonestringOptionalformat: "number"
The business email address of the contact.

Errors

4XX
Client Request Error
500
Internal Server Error